Create a card
curl --request POST \
--url https://vault.api-sandbox.orum.io/deliver/cards \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"account_reference_id": "<string>",
"customer_reference_id": "<string>",
"account_holder_name": {
"first_name": "<string>",
"last_name": "<string>",
"middle_name": "<string>",
"suffix": "<string>"
},
"address": {
"zip5": "<string>"
},
"number": "<string>",
"expiration_month": 6,
"expiration_year": 2025,
"metadata": {}
}
'import requests
url = "https://vault.api-sandbox.orum.io/deliver/cards"
payload = {
"account_reference_id": "<string>",
"customer_reference_id": "<string>",
"account_holder_name": {
"first_name": "<string>",
"last_name": "<string>",
"middle_name": "<string>",
"suffix": "<string>"
},
"address": { "zip5": "<string>" },
"number": "<string>",
"expiration_month": 6,
"expiration_year": 2025,
"metadata": {}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
account_reference_id: '<string>',
customer_reference_id: '<string>',
account_holder_name: {
first_name: '<string>',
last_name: '<string>',
middle_name: '<string>',
suffix: '<string>'
},
address: {zip5: '<string>'},
number: '<string>',
expiration_month: 6,
expiration_year: 2025,
metadata: {}
})
};
fetch('https://vault.api-sandbox.orum.io/deliver/cards', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://vault.api-sandbox.orum.io/deliver/cards",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'account_reference_id' => '<string>',
'customer_reference_id' => '<string>',
'account_holder_name' => [
'first_name' => '<string>',
'last_name' => '<string>',
'middle_name' => '<string>',
'suffix' => '<string>'
],
'address' => [
'zip5' => '<string>'
],
'number' => '<string>',
'expiration_month' => 6,
'expiration_year' => 2025,
'metadata' => [
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://vault.api-sandbox.orum.io/deliver/cards"
payload := strings.NewReader("{\n \"account_reference_id\": \"<string>\",\n \"customer_reference_id\": \"<string>\",\n \"account_holder_name\": {\n \"first_name\": \"<string>\",\n \"last_name\": \"<string>\",\n \"middle_name\": \"<string>\",\n \"suffix\": \"<string>\"\n },\n \"address\": {\n \"zip5\": \"<string>\"\n },\n \"number\": \"<string>\",\n \"expiration_month\": 6,\n \"expiration_year\": 2025,\n \"metadata\": {}\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://vault.api-sandbox.orum.io/deliver/cards")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"account_reference_id\": \"<string>\",\n \"customer_reference_id\": \"<string>\",\n \"account_holder_name\": {\n \"first_name\": \"<string>\",\n \"last_name\": \"<string>\",\n \"middle_name\": \"<string>\",\n \"suffix\": \"<string>\"\n },\n \"address\": {\n \"zip5\": \"<string>\"\n },\n \"number\": \"<string>\",\n \"expiration_month\": 6,\n \"expiration_year\": 2025,\n \"metadata\": {}\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://vault.api-sandbox.orum.io/deliver/cards")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"account_reference_id\": \"<string>\",\n \"customer_reference_id\": \"<string>\",\n \"account_holder_name\": {\n \"first_name\": \"<string>\",\n \"last_name\": \"<string>\",\n \"middle_name\": \"<string>\",\n \"suffix\": \"<string>\"\n },\n \"address\": {\n \"zip5\": \"<string>\"\n },\n \"number\": \"<string>\",\n \"expiration_month\": 6,\n \"expiration_year\": 2025,\n \"metadata\": {}\n}"
response = http.request(request)
puts response.read_body{
"card": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"account_reference_id": "<string>",
"customer_reference_id": "<string>",
"customer_resource_type": "business",
"account_holder_name": {
"first_name": "<string>",
"last_name": "<string>",
"middle_name": "<string>",
"suffix": "<string>"
},
"status": "created",
"address": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "billing",
"zip5": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"address1": "<string>",
"address2": "<string>",
"city": "<string>",
"state": "<string>",
"country": "US"
},
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"last4": "<string>",
"expiration_month": 6,
"expiration_year": 2025,
"pull_eligible": true,
"push_eligible": true,
"closed_at": "2023-11-07T05:31:56Z",
"metadata": {},
"status_reasons": [
{
"reason_code": "invalid_address",
"reason_code_message": "Address submitted is a non-supported address type"
}
]
}
}{
"error_code": "<string>",
"message": "<string>",
"details": {}
}{
"error_code": "<string>",
"message": "<string>",
"details": {}
}Cards
Create A Card
Create a card object.
POST
/
deliver
/
cards
Create a card
curl --request POST \
--url https://vault.api-sandbox.orum.io/deliver/cards \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"account_reference_id": "<string>",
"customer_reference_id": "<string>",
"account_holder_name": {
"first_name": "<string>",
"last_name": "<string>",
"middle_name": "<string>",
"suffix": "<string>"
},
"address": {
"zip5": "<string>"
},
"number": "<string>",
"expiration_month": 6,
"expiration_year": 2025,
"metadata": {}
}
'import requests
url = "https://vault.api-sandbox.orum.io/deliver/cards"
payload = {
"account_reference_id": "<string>",
"customer_reference_id": "<string>",
"account_holder_name": {
"first_name": "<string>",
"last_name": "<string>",
"middle_name": "<string>",
"suffix": "<string>"
},
"address": { "zip5": "<string>" },
"number": "<string>",
"expiration_month": 6,
"expiration_year": 2025,
"metadata": {}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
account_reference_id: '<string>',
customer_reference_id: '<string>',
account_holder_name: {
first_name: '<string>',
last_name: '<string>',
middle_name: '<string>',
suffix: '<string>'
},
address: {zip5: '<string>'},
number: '<string>',
expiration_month: 6,
expiration_year: 2025,
metadata: {}
})
};
fetch('https://vault.api-sandbox.orum.io/deliver/cards', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://vault.api-sandbox.orum.io/deliver/cards",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'account_reference_id' => '<string>',
'customer_reference_id' => '<string>',
'account_holder_name' => [
'first_name' => '<string>',
'last_name' => '<string>',
'middle_name' => '<string>',
'suffix' => '<string>'
],
'address' => [
'zip5' => '<string>'
],
'number' => '<string>',
'expiration_month' => 6,
'expiration_year' => 2025,
'metadata' => [
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://vault.api-sandbox.orum.io/deliver/cards"
payload := strings.NewReader("{\n \"account_reference_id\": \"<string>\",\n \"customer_reference_id\": \"<string>\",\n \"account_holder_name\": {\n \"first_name\": \"<string>\",\n \"last_name\": \"<string>\",\n \"middle_name\": \"<string>\",\n \"suffix\": \"<string>\"\n },\n \"address\": {\n \"zip5\": \"<string>\"\n },\n \"number\": \"<string>\",\n \"expiration_month\": 6,\n \"expiration_year\": 2025,\n \"metadata\": {}\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://vault.api-sandbox.orum.io/deliver/cards")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"account_reference_id\": \"<string>\",\n \"customer_reference_id\": \"<string>\",\n \"account_holder_name\": {\n \"first_name\": \"<string>\",\n \"last_name\": \"<string>\",\n \"middle_name\": \"<string>\",\n \"suffix\": \"<string>\"\n },\n \"address\": {\n \"zip5\": \"<string>\"\n },\n \"number\": \"<string>\",\n \"expiration_month\": 6,\n \"expiration_year\": 2025,\n \"metadata\": {}\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://vault.api-sandbox.orum.io/deliver/cards")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"account_reference_id\": \"<string>\",\n \"customer_reference_id\": \"<string>\",\n \"account_holder_name\": {\n \"first_name\": \"<string>\",\n \"last_name\": \"<string>\",\n \"middle_name\": \"<string>\",\n \"suffix\": \"<string>\"\n },\n \"address\": {\n \"zip5\": \"<string>\"\n },\n \"number\": \"<string>\",\n \"expiration_month\": 6,\n \"expiration_year\": 2025,\n \"metadata\": {}\n}"
response = http.request(request)
puts response.read_body{
"card": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"account_reference_id": "<string>",
"customer_reference_id": "<string>",
"customer_resource_type": "business",
"account_holder_name": {
"first_name": "<string>",
"last_name": "<string>",
"middle_name": "<string>",
"suffix": "<string>"
},
"status": "created",
"address": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "billing",
"zip5": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"address1": "<string>",
"address2": "<string>",
"city": "<string>",
"state": "<string>",
"country": "US"
},
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"last4": "<string>",
"expiration_month": 6,
"expiration_year": 2025,
"pull_eligible": true,
"push_eligible": true,
"closed_at": "2023-11-07T05:31:56Z",
"metadata": {},
"status_reasons": [
{
"reason_code": "invalid_address",
"reason_code_message": "Address submitted is a non-supported address type"
}
]
}
}{
"error_code": "<string>",
"message": "<string>",
"details": {}
}{
"error_code": "<string>",
"message": "<string>",
"details": {}
}-
To create a card, use POST
vault.api-sandbox.orum.io/deliver/cards -
All other card endpoints will continue to use
api-sandbox.orum.io - This allows us to securely handle your card information
Authorizations
Body
application/json
Was this page helpful?